/*
 * @Author: Kane
 * @Date: 2023-02-28 14:48:30
 * @LastEditors: Kane
 * @FilePath: /task_schedule/src/data/cpicxim/StaffInfo.ts
 * @Description:
 *
 * Copyright (c) ${2022} by Kane, All Rights Reserved.
 */

class StaffInfo
{
    constructor(
        p13uid: string,
        staffCode: string,
        staffName: string,
        departmentCode: string,
        departmentName: string,
        sectionOfficeCode: string,
        sectionOfficeName: string
    )
    {
        this._stuffCode = staffCode;
        this._stuffName = staffName;
        this._p13uid = p13uid;
        this._departmentCode = departmentCode;
        this._departmentName = departmentName;
        this._sectionOfficeCode = sectionOfficeCode;
        this._sectionOfficeName = sectionOfficeName;
    }

    public get stuffCode(): string
    {
        return this._stuffCode;
    }

    public set stuffCode( stuffCode: string )
    {
        this._stuffCode = stuffCode;
    }

    public get stuffName(): string
    {
        return this._stuffName;
    }

    public set stuffName( stuffName: string )
    {
        this._stuffName = stuffName;
    }

    public get P13UID(): string
    {
        return this._p13uid;
    }

    public set P13UID( p13uid: string )
    {
        this._p13uid = p13uid;
    }

    public set departmentCode( departmentCode: string )
    {
        this._departmentCode = departmentCode;
    }

    public get departmentCode(): string
    {
        return this._departmentCode;
    }

    public set departmentName( departmentName: string )
    {
        this._departmentName = departmentName;
    }

    public get departmentName(): string
    {
        return this._departmentName;
    }

    private _stuffCode: string;
    private _stuffName: string;
    private _p13uid: string;
    private _departmentCode: string;
    private _departmentName: string;
    private readonly _sectionOfficeCode: string;
    private readonly _sectionOfficeName: string;
}

export { StaffInfo };
